name:                 text
version:              2.1.1
visibility:           public
id:                   text-2.1.1-inplace
key:                  text-2.1.1-inplace
license:              BSD-2-Clause
copyright:
    2009-2011 Bryan O'Sullivan, 2008-2009 Tom Harper, 2021 Andrew Lelechenko

maintainer:
    Haskell Text Team <andrew.lelechenko@gmail.com>, Core Libraries Committee

author:               Bryan O'Sullivan <bos@serpentine.com>
homepage:             https://github.com/haskell/text
synopsis:             An efficient packed Unicode text type.
description:

    An efficient packed, immutable Unicode text type (both strict and
    lazy).

    The 'Text' type represents Unicode character strings, in a time and
    space-efficient manner. This package provides text processing
    capabilities that are optimized for performance critical use, both
    in terms of large data quantities and high speed.

    The 'Text' type provides character-encoding, type-safe case
    conversion via whole-string case conversion functions (see "Data.Text").
    It also provides a range of functions for converting 'Text' values to
    and from 'ByteStrings', using several standard encodings
    (see "Data.Text.Encoding").

    Efficient locale-sensitive support for text IO is also supported
    (see "Data.Text.IO").

    These modules are intended to be imported qualified, to avoid name
    clashes with Prelude functions, e.g.

    > import qualified Data.Text as T

    == ICU Support

    To use an extended and very rich family of functions for working
    with Unicode text (including normalization, regular expressions,
    non-standard encodings, text breaking, and locales), see
    the [text-icu package](https://hackage.haskell.org/package/text-icu)
    based on the well-respected and liberally
    licensed [ICU library](http://site.icu-project.org/).

category:             Data, Text
abi:                  8fc89e4989bbe815219d54f786887864
exposed:              True
exposed-modules:
    Data.Text Data.Text.Array Data.Text.Encoding
    Data.Text.Encoding.Error Data.Text.Foreign Data.Text.IO
    Data.Text.IO.Utf8 Data.Text.Internal Data.Text.Internal.ArrayUtils
    Data.Text.Internal.Builder Data.Text.Internal.Builder.Functions
    Data.Text.Internal.Builder.Int.Digits
    Data.Text.Internal.Builder.RealFloat.Functions
    Data.Text.Internal.ByteStringCompat Data.Text.Internal.Encoding
    Data.Text.Internal.Encoding.Fusion
    Data.Text.Internal.Encoding.Fusion.Common
    Data.Text.Internal.Encoding.Utf16 Data.Text.Internal.Encoding.Utf32
    Data.Text.Internal.Encoding.Utf8 Data.Text.Internal.Fusion
    Data.Text.Internal.Fusion.CaseMapping
    Data.Text.Internal.Fusion.Common Data.Text.Internal.Fusion.Size
    Data.Text.Internal.Fusion.Types Data.Text.Internal.IO
    Data.Text.Internal.Lazy Data.Text.Internal.Lazy.Encoding.Fusion
    Data.Text.Internal.Lazy.Fusion Data.Text.Internal.Lazy.Search
    Data.Text.Internal.PrimCompat Data.Text.Internal.Private
    Data.Text.Internal.Read Data.Text.Internal.Search
    Data.Text.Internal.StrictBuilder Data.Text.Internal.Unsafe
    Data.Text.Internal.Unsafe.Char Data.Text.Internal.Validate
    Data.Text.Internal.Validate.Native Data.Text.Lazy
    Data.Text.Lazy.Builder Data.Text.Lazy.Builder.Int
    Data.Text.Lazy.Builder.RealFloat Data.Text.Lazy.Encoding
    Data.Text.Lazy.IO Data.Text.Lazy.Internal Data.Text.Lazy.Read
    Data.Text.Read Data.Text.Unsafe

hidden-modules:
    Data.Text.Show Data.Text.Internal.Measure
    Data.Text.Internal.Reverse Data.Text.Internal.Transformation
    Data.Text.Internal.IsAscii

import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/text-2.1.1-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/text-2.1.1-inplace

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/text-2.1.1-inplace

dynamic-library-dirs: ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1
data-dir:             ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/text-2.1.1
hs-libraries:         HStext-2.1.1-inplace
depends:
    array-0.5.7.0-inplace base-4.20.0.0-inplace binary-0.8.9.2-inplace
    bytestring-0.12.1.0-inplace deepseq-1.5.0.0-inplace
    ghc-prim-0.11.0-inplace template-haskell-2.22.0.0-inplace

haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/text-2.1.1-inplace/text.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/text-2.1.1-inplace"
